-- BEGIN SCRIPT --
ALTER TABLE AUDIT_TRANS_OVERCON_DETAIL
 ADD CONSTRAINT AUDIT_TRANS_OVERCON_DETAIL_PK
  PRIMARY KEY
  (AUDIT_TRANS_OVERCON_DETAIL_ID);

ALTER TABLE AUDIT_TRANS_OVERCON_HEADER
 ADD CONSTRAINT AUDIT_TRANS_OVERCON_HEADER_PK
  PRIMARY KEY
  (AUDIT_TRANS_OVERCON_HEADER_ID);

ALTER TABLE AUDIT_TRANS_OVERCON_LOT
 ADD CONSTRAINT AUDIT_TRANS_OVERCON_LOT_PK
  PRIMARY KEY
  (AUDIT_TRANS_OVERCON_LOT_ID);

ALTER TABLE AUDIT_TRANS_OVERCON_PAYMENT
 ADD CONSTRAINT AUDIT_TRANS_OVERCON_PAYMENT_PK
  PRIMARY KEY
  (AUDIT_TRANS_OVERCON_PAYMENT_ID);

ALTER TABLE AUDIT_TRANS_PAYMENT
 ADD CONSTRAINT AUDIT_TRANS_PAYMENT_PK
  PRIMARY KEY
  (AUDIT_TRANS_PAYMENT_ID);

ALTER TABLE AUDIT_TRANS_REIMBURSE
 ADD CONSTRAINT PK_AUDIT_TRANS_REIMBURSE_AUDIT_TRANS_REIMBURSE_ID
  PRIMARY KEY
  (AUDIT_TRANS_REIMBURSE_ID);

ALTER TABLE CHEQUE_INFO
 ADD CONSTRAINT PK_CHEQUE_INFO_CHQ_INFO_ID
  PRIMARY KEY
  (CHQ_INFO_ID);

ALTER TABLE EMAIL_LIST
 ADD CONSTRAINT PK_EMAIL_LIST_EMAIL_ID
  PRIMARY KEY
  (EMAIL_ID);

ALTER TABLE EMAIL_TEMPLATE
 ADD CONSTRAINT PK_EMAIL_TEMPLATE_EMAIL_TEMPLATE_ID
  PRIMARY KEY
  (EMAIL_TEMPLATE_ID);

ALTER TABLE ESTIMATE_PAY_DETAIL
 ADD CONSTRAINT PK_ESTIMATE_PAY_DETAIL_ESTIMATE_PAY_ID
  PRIMARY KEY
  (ESTIMATE_PAY_DETAIL_ID);

ALTER TABLE FILETAX_FOR_VERIFY
 ADD CONSTRAINT PK_FILETAX_FOR_VERIFY_FILETAX_FOR_VERIFY_ID
  PRIMARY KEY
  (FILETAX_FOR_VERIFY_ID);

ALTER TABLE FUND_PAYMENT_APPROVE_LOT
 ADD CONSTRAINT CONT_FPAYLOT
  PRIMARY KEY
  (FUND_PAYMENT_APPROVE_LOT_ID);

ALTER TABLE GROUP_EMAIL_FUND
 ADD CONSTRAINT PK_GROUP_EMAIL_FUND_GROUP_EMAIL_FUND_ID
  PRIMARY KEY
  (GROUP_EMAIL_FUND_ID);

ALTER TABLE NEW_PAYMENT_REF
 ADD CONSTRAINT PK_NEW_PAYMENT_REF
  PRIMARY KEY
  (OLD_TRANS_PAYMENT_ID, NEW_TRANS_PAYMENT_ID);

ALTER TABLE PAYMENT_APPROVE_LOT
 ADD CONSTRAINT PAYMENT_APPROVE_LOT_PK
  PRIMARY KEY
  (PAYMENT_LOT_ID);

ALTER TABLE TAX_ALLOCATE
 ADD CONSTRAINT PK_TAX_ALLOCATE_TAX_ALLOCATE_ID
  PRIMARY KEY
  (TAX_ALLOCATE_ID);

ALTER TABLE TRANS_CHEQUE_OVERDUE_DETAIL
 ADD CONSTRAINT PK_TRANS_CHEQUE_OVERDUE_DETAIL_TRANS_CHEQUE_OVERDUE_ID
  PRIMARY KEY
  (TRANS_CHEQUE_OVERDUE_ID);

ALTER TABLE TRANS_FEE_HEADER
 ADD CONSTRAINT PK_TRANS_FEE_HEADER_TRANS_FEE_HEADER_ID
  PRIMARY KEY
  (TRANS_FEE_HEADER_ID);

ALTER TABLE TRANS_OVERCON_DETAIL
 ADD CONSTRAINT TRANS_OVERCON_DETAIL_PK
  PRIMARY KEY
  (TRANS_OVERCON_HEADER_ID, TRANS_OVERCON_PAYMENT_ID);

ALTER TABLE TRANS_OVERCON_HEADER
 ADD CONSTRAINT TRANS_OVERCON_HEADER_PK
  PRIMARY KEY
  (TRANS_OVERCON_HEADER_ID);

ALTER TABLE TRANS_OVERCON_LOT
 ADD CONSTRAINT TRANS_OVERCON_LOT_PK
  PRIMARY KEY
  (TRANS_OVERCON_LOT_ID);

ALTER TABLE TRANS_OVERCON_PAYMENT
 ADD CONSTRAINT TRANS_OVERCON_PAYMENT_PK
  PRIMARY KEY
  (TRANS_OVERCON_PAYMENT_ID);

ALTER TABLE TRANS_PAYMENT
 ADD CONSTRAINT TRANS_PAYMENT_DETAIL_PK
  PRIMARY KEY
  (TRANS_PAYMENT_ID);

ALTER TABLE TRANS_REIMBURSE
 ADD CONSTRAINT PK_TRANS_REIMBURSE_TRANS_REIMBURSE_ID
  PRIMARY KEY
  (TRANS_REIMBURSE_ID);

ALTER TABLE TRANS_REIMBURSE_DOCUMENT
 ADD CONSTRAINT PK_TRANS_REIMBURSE_DOCUMENT_TRANS_REIMBURSE_DOCUMENT_ID
  PRIMARY KEY
  (TRANS_REIMBURSE_DOCUMENT_ID);

ALTER TABLE TRANS_TAX
 ADD CONSTRAINT PK_TRANS_TAX_TRANS_TAX_ID
  PRIMARY KEY
  (TRANS_TAX_ID);

ALTER TABLE VERIFY_APPROVE_LOT
 ADD CONSTRAINT VERIFY_APPROVE_LOT_PK
  PRIMARY KEY
  (VERIFY_APPROVE_LOT_ID);

ALTER TABLE VERIFY_CONFLICT_ERROR_DETAIL
 ADD CONSTRAINT PK_VERIFY_CONFLICT_ERROR_DETAIL_VERIFY_CONFLICT_ERROR_DETAIL_ID
  PRIMARY KEY
  (VERIFY_CONFLICT_ERR_DETAIL_ID);

ALTER TABLE VERIFY_ESTIMATE_PAY_DETAIL
 ADD CONSTRAINT PK_VERIFY_ESTIMATE_PAY_DETAIL_VERIFY_ESTIMATE_PAY_DETAIL_ID
  PRIMARY KEY
  (VERIFY_ESTIMATE_PAY_DETAIL_ID);

ALTER TABLE VERIFY_FINAL_APPROVE_LOT
 ADD CONSTRAINT PK_VERIFY_FINAL_APPROVE_LOT_VERIFY_FINAL_APPROVE_LOT_ID
  PRIMARY KEY
  (VERIFY_FINAL_APPROVE_LOT_ID);

ALTER TABLE VERIFY_FINAL_PROGRESS
 ADD CONSTRAINT VERIFY_FINAL_PROGRESS_PK
  PRIMARY KEY
  (PAYMENT_LOT_ID);

ALTER TABLE VERIFY_RECAL_TRANS_TAX_ERROR
 ADD CONSTRAINT PK_VERIFY_RECAL_TRANS_TAX_ERROR_TAX_RECALTRANSERR_ID
  PRIMARY KEY
  (TAX_RECALTRANSERR_ID);

ALTER TABLE VERIFY_TAX
 ADD CONSTRAINT PK_VERIFY_TAX_VERIFY_TAX_ID
  PRIMARY KEY
  (VERIFY_TAX_ID);

ALTER TABLE VERIFY_TAX_RECAL_ERROR
 ADD CONSTRAINT PK_VERIFY_TAX_RECAL_ERROR_VERIFY_TAX_RECALERR_ID
  PRIMARY KEY
  (VERIFY_TAX_RECALERR_ID);

ALTER TABLE VERIFY_TP_PROGRESS
 ADD CONSTRAINT VERIFY_TP_PROGRESS_PK
  PRIMARY KEY
  (VERIFY_TP_HEADER_ID);

ALTER TABLE VERIFY_UNVESTED_DETAIL
 ADD CONSTRAINT PK_VERIFY_UNVESTED_DETAIL_VERIFY_UNVESTED_DETAIL_ID
  PRIMARY KEY
  (VERIFY_UNVESTED_DETAIL_ID);

ALTER TABLE DETAIL_ERROR_FINAL_APPROVE_LOT
 ADD CONSTRAINT PK_DETAIL_ERROR_FINAL_APPROVE_LOT_DETAIL_ERROR_ID
  PRIMARY KEY
  (DETAIL_ERROR_ID);

ALTER TABLE EMAIL_FUND
 ADD CONSTRAINT PK_EMAIL_FUND_EMAIL_FUND_ID
  PRIMARY KEY
  (EMAIL_FUND_ID);

ALTER TABLE EMAIL_GRP_FUND_TEMPLATE
 ADD CONSTRAINT PK_EMAIL_GRP_FUND_TEMPLATE_EMAIL_GRP_FUND_TEMPLATE_ID
  PRIMARY KEY
  (EMAIL_GRP_FUND_TEMPLATE_ID);

ALTER TABLE ESTIMATE_PAY_HEADER
 ADD CONSTRAINT ESTIMATE_PAY_HEADER_PK
  PRIMARY KEY
  (ESTIMATE_PAY_ID, FUND_ID);

ALTER TABLE MATCH_TRANS_PAYMENT
 ADD CONSTRAINT MATCH_TRANS_PAYMENT_PK
  PRIMARY KEY
  (MATCH_TRANS_ID);

ALTER TABLE TRANS_CHG_PAYMENT_MANAGEMENT
 ADD CONSTRAINT PK_TRANS_CHG_PAYMENT_MANAGEMENT_TRANS_CHG_PAYMENT_ID
  PRIMARY KEY
  (TRANS_CHG_PAYMENT_ID);

ALTER TABLE TRANS_FEE_DETAIL
 ADD CONSTRAINT PK_TRANS_FEE_DETAIL_TRANS_FEE_DETAIL_ID
  PRIMARY KEY
  (TRANS_FEE_DETAIL_ID);

ALTER TABLE VERIFY_LOT_MAP_PAYMENT
 ADD CONSTRAINT PK_VERIFY_LOT_MAP_PAYMENT_VERIFY_APPROVE_LOT_ID
  PRIMARY KEY
  (VERIFY_APPROVE_LOT_ID, MATCH_TRANS_ID);

ALTER TABLE DETAIL_BNF_ERR_FINALAPPROVE
 ADD CONSTRAINT PK_DETAIL_BNF_ERR_FINALAPPROVE_DETAIL_BNF_ERR_FINAL_ID
  PRIMARY KEY
  (DETAIL_BNF_ERR_FINAL_ID);

ALTER TABLE FUND_ACCOUNT
 ADD CONSTRAINT FUND_ACCOUNT_PK
  PRIMARY KEY
  (ACC_NO, FUND_ID, ACC_WORK);

ALTER TABLE FUND_AMC
 ADD CONSTRAINT FUND_AMC_PK
  PRIMARY KEY
  (FUND_ID);

ALTER TABLE DETAIL_BNF_ERR_FINALAPPROVE
 ADD CONSTRAINT FK_BNF_ERR_FINAL_APP_LOT 
  FOREIGN KEY (DETAIL_ERROR_ID) 
  REFERENCES DETAIL_ERROR_FINAL_APPROVE_LOT (DETAIL_ERROR_ID);

ALTER TABLE DETAIL_BNF_ERR_FINALAPPROVE
 ADD CONSTRAINT FK_DETAIL_BNF_ERR_FINALAPPROVE_TRANS_PAYMENT 
  FOREIGN KEY (TRANS_PAYMENT_ID) 
  REFERENCES TRANS_PAYMENT (TRANS_PAYMENT_ID);

ALTER TABLE DETAIL_ERROR_FINAL_APPROVE_LOT
 ADD CONSTRAINT FK_DETAIL_ERROR_FINAL_APPROVE_LOT_VERIFY_FINAL_APPROVE_LOT 
  FOREIGN KEY (VERIFY_FINAL_APPROVE_LOT_ID) 
  REFERENCES VERIFY_FINAL_APPROVE_LOT (VERIFY_FINAL_APPROVE_LOT_ID);

ALTER TABLE EMAIL_FUND
 ADD CONSTRAINT FK_EMAIL_FUND_EMAIL_LIST 
  FOREIGN KEY (EMAIL_ID) 
  REFERENCES EMAIL_LIST (EMAIL_ID);

ALTER TABLE EMAIL_FUND
 ADD CONSTRAINT FK_EMAIL_FUND_GROUP_EMAIL_FUND 
  FOREIGN KEY (GROUP_EMAIL_FUND_ID) 
  REFERENCES GROUP_EMAIL_FUND (GROUP_EMAIL_FUND_ID);

ALTER TABLE EMAIL_GRP_FUND_TEMPLATE
 ADD CONSTRAINT FK_EMAIL_GRP_FUND_TEMPLATE_EMAIL_TEMPLATE 
  FOREIGN KEY (EMAIL_TEMPLATE_ID) 
  REFERENCES EMAIL_TEMPLATE (EMAIL_TEMPLATE_ID);

ALTER TABLE EMAIL_GRP_FUND_TEMPLATE
 ADD CONSTRAINT FK_EMAIL_GRP_FUND_TEMPLATE_GROUP_EMAIL_FUND 
  FOREIGN KEY (GROUP_EMAIL_FUND_ID) 
  REFERENCES GROUP_EMAIL_FUND (GROUP_EMAIL_FUND_ID);

ALTER TABLE ESTIMATE_PAY_HEADER
 ADD CONSTRAINT FK_ESTIMATE_PAY_HEADER_FUND 
  FOREIGN KEY (FUND_ID) 
  REFERENCES FUND (FUND_ID);

ALTER TABLE FUND_PAYMENT_APPROVE_LOT
 ADD CONSTRAINT FK_F_PAYMENT_APPROVE_LOT 
  FOREIGN KEY (PAYMENT_LOT_ID) 
  REFERENCES PAYMENT_APPROVE_LOT (PAYMENT_LOT_ID);

ALTER TABLE HF_JOB_PARAMETER
 ADD CONSTRAINT FK_JOB_PARAMETER_JOB 
  FOREIGN KEY (ID) 
  REFERENCES HF_JOB (ID);

ALTER TABLE HF_JOB_QUEUE
 ADD CONSTRAINT FK_JOB_QUEUE_JOB 
  FOREIGN KEY (ID) 
  REFERENCES HF_JOB (ID);

ALTER TABLE HF_JOB_STATE
 ADD CONSTRAINT FK_JOB_STATE_JOB 
  FOREIGN KEY (ID) 
  REFERENCES HF_JOB (ID);

ALTER TABLE MATCH_TRANS_PAYMENT
 ADD CONSTRAINT FK_MATCH_TRANS_APPROVE_LOT 
  FOREIGN KEY (FUND_PAYMENT_APPROVE_LOT_ID) 
  REFERENCES FUND_PAYMENT_APPROVE_LOT (FUND_PAYMENT_APPROVE_LOT_ID);

ALTER TABLE MATCH_TRANS_PAYMENT
 ADD CONSTRAINT FK_MATCH_TRANS_PAYMENT_TRANS_PAYMENT_DETAIL 
  FOREIGN KEY (TRANS_PAYMENT_ID) 
  REFERENCES TRANS_PAYMENT (TRANS_PAYMENT_ID);

ALTER TABLE TAX_ALLOCATE
 ADD CONSTRAINT FK_TAX_ALLOCATE_VERIFY_APPROVE_LOT 
  FOREIGN KEY (VERIFY_APPROVE_LOT_ID) 
  REFERENCES VERIFY_APPROVE_LOT (VERIFY_APPROVE_LOT_ID);

ALTER TABLE TRANS_CHEQUE_OVERDUE_DETAIL
 ADD CONSTRAINT FK_TRANS_CHEQUE_OVERDUE_DETAIL_CHEQUE_INFO 
  FOREIGN KEY (CHQ_INFO_ID) 
  REFERENCES CHEQUE_INFO (CHQ_INFO_ID);

ALTER TABLE TRANS_CHG_PAYMENT_MANAGEMENT
 ADD CONSTRAINT FK_TRANS_CHG_PAYMENT_MANAGEMENT_TRANS_PAYMENT 
  FOREIGN KEY (TRANS_PAYMENT_ID) 
  REFERENCES TRANS_PAYMENT (TRANS_PAYMENT_ID);

ALTER TABLE TRANS_FEE_DETAIL
 ADD CONSTRAINT FK_TRANS_FEE_DETAIL_TRANS_FEE_HEADER 
  FOREIGN KEY (TRANS_FEE_HEADER_ID) 
  REFERENCES TRANS_FEE_HEADER (TRANS_FEE_HEADER_ID);

ALTER TABLE VERIFY_APPROVE_LOT
 ADD CONSTRAINT FK_VERIFY_APPROVE_LOT_FUND_PAYMENT_APPROVE_LOT 
  FOREIGN KEY (FUND_PAYMENT_APPROVE_LOT_ID) 
  REFERENCES FUND_PAYMENT_APPROVE_LOT (FUND_PAYMENT_APPROVE_LOT_ID);

ALTER TABLE VERIFY_FINAL_APPROVE_LOT
 ADD CONSTRAINT FK_VERIFY_FINAL_APPROVE_LOT_PAYMENT_APPROVE_LOT 
  FOREIGN KEY (PAYMENT_LOT_ID) 
  REFERENCES PAYMENT_APPROVE_LOT (PAYMENT_LOT_ID);

ALTER TABLE ESTIMATE_PAY_DETAIL
 ADD CONSTRAINT FK_ESTIMATE_PAY_DETAIL_ESTIMATE_PAY_HEADER 
  FOREIGN KEY (ESTIMATE_PAY_ID) 
  REFERENCES ESTIMATE_PAY_HEADER (ESTIMATE_PAY_ID);

ALTER TABLE NEW_PAYMENT_REF
 ADD CONSTRAINT FK_NEW_PAYMENT_REF_TRANS_CHG_PAYMENT_MANAGEMENT 
  FOREIGN KEY (TRANS_CHG_PAYMENT_ID) 
  REFERENCES TRANS_CHG_PAYMENT_MANAGEMENT (TRANS_CHG_PAYMENT_ID);

ALTER TABLE VERIFY_LOT_MAP_PAYMENT
 ADD CONSTRAINT FK_VERIFY_LOT_MAP_PAYMENT_MATCH_TRANS_PAYMENT 
  FOREIGN KEY (MATCH_TRANS_ID) 
  REFERENCES MATCH_TRANS_PAYMENT (MATCH_TRANS_ID);

ALTER TABLE VERIFY_LOT_MAP_PAYMENT
 ADD CONSTRAINT FK_VERIFY_LOT_MAP_PAYMENT_VERIFY_APPROVE_LOT 
  FOREIGN KEY (VERIFY_APPROVE_LOT_ID) 
  REFERENCES VERIFY_APPROVE_LOT (VERIFY_APPROVE_LOT_ID);
  
ALTER TABLE ESTIMATE_PAY_HEADER
 ADD CONSTRAINT UNQ_ESTIMATE_PAY_HEADER_ESTIMATE_PAY_ID
  UNIQUE (ESTIMATE_PAY_ID);
  
EXIT;